/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100vw;
    height: 100vh;
    background: #fafafa;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    font-family: 'Arial', sans-serif;
}

/* Points principaux */
.point {
    --size: 20px;
    position: absolute;
    width: var(--size);
    height: var(--size);
    background-color: #3498db;
    border-radius: 50%;
    cursor: grab;
    transition: transform 0.3s, background-color 0.3s;
    z-index: 2;
}

.point:hover {
    transform: scale(1.2);
    background-color: #2980b9;
}

/* Points de transition */
.transitionPoint {
    --size: 5px;
    position: absolute;
    width: var(--size);
    height: var(--size);
    background-color: #3498db;
    background-color: #e74c3c;
    border-radius: 50%;
    z-index: 1;

    transform: translate(-50%, -50%);
}

.p-1 {
    left: 100px;
    top: 200px;
}

.p-2 {
    left: 300px;
    top: 100px;
}

.p-3 {
    left: 500px;
    top: 200px;
}

.p-4 {
    left: 700px;
    top: 300px;
}

.p-5 {
    left: 900px;
    top: 200px;
}

.p-6 {
    left: 1100px;
    top: 100px;
}

.p-7 {
    left: 1300px;
    top: 200px;
}